## tetrinetx 1.13.16

=== debian/changelog ===
tetrinetx (1.13.16-19) unstable; urgency=medium

  * Patch for GCC-15 (Closes: #1097983)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 06 Sep 2025 11:06:03 +0200

tetrinetx (1.13.16-18) unstable; urgency=medium

  * Rewrite d/rules with short DH sequencer
  * Add systemd .service (Closes: #1039393)
  * Reformat d/control with debputy

  [ Niels Thykier ]
  * Delete prerm script

 -- Alexandre Detiste <tchet@debian.org>  Sun, 16 Mar 2025 23:43:24 +0100

tetrinetx (1.13.16-17) unstable; urgency=medium

  * Adopt inside Games Team (Closes: #928533)
  * Set Rules-Requires-Root: binary-targets

 -- Alexandre Detiste <tchet@debian.org>  Fri, 29 Nov 2024 12:57:10 +0100

tetrinetx (1.13.16-16) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.8.0 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Trim trailing whitespace.
  * Bump debhelper from deprecated 7 to 13.
  * Set debhelper-compat version in Build-Depends.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 30 May 2024 08:28:53 +0200

tetrinetx (1.13.16-15) unstable; urgency=medium

  * QA upload.
  * Convert to 3.0 (quilt) format (Closes: #1007303).
  * Fix lintian: dh-clean-k-is-deprecated, no-dep5-copyright.

 -- Bastian Germann <bage@debian.org>  Fri, 26 Aug 2022 10:30:14 +0200

tetrinetx (1.13.16-14.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Implement missing required debian/rules targets build-arch and build-indep.
    (Closes: #999309)
  * Switch to debhelper compat level 7. (Closes: #965842)
  * Fix FTCBFS: Let dpkg's buildtools.mk initialize CC. (Closes: #914872)
    Thanks to Helmut Grohne for the patch.

 -- Markus Koschany <apo@debian.org>  Fri, 31 Dec 2021 02:59:11 +0100

tetrinetx (1.13.16-14) unstable; urgency=low

  * Do not ship /var/run directory (Closes: #689904)

 -- Julien Danjou <acid@debian.org>  Mon, 08 Oct 2012 09:59:44 +0200

tetrinetx (1.13.16-13) unstable; urgency=low

  * Update homepage (Closes: #515049)
  * Bump standard version
  * Suggests gtetrinet
  * Enhance copyright file

 -- Julien Danjou <acid@debian.org>  Fri, 13 Feb 2009 09:30:04 +0100

tetrinetx (1.13.16-12.1) unstable; urgency=low

  * Non-maintainer upload to solve release goal.
  * Add LSB dependency header to init.d scripts (Closes: #467487).

 -- Petter Reinholdtsen <pere@debian.org>  Thu,  3 Apr 2008 23:23:44 +0200

tetrinetx (1.13.16-12) unstable; urgency=low

  * Move manpage to correct section (Closes: #404994)
  * Bump to debhelper 5

 -- Julien Danjou <acid@debian.org>  Thu, 12 Apr 2007 15:28:30 +0200

tetrinetx (1.13.16-11) unstable; urgency=low

  * Fix grammatical errors in manpage (Closes: #362469)
  * Switch to debhelper 4
  * Bump standards version
  * Update FSF address

 -- Julien Danjou <acid@debian.org>  Sun,  6 Aug 2006 13:47:02 +0200

tetrinetx (1.13.16-10) unstable; urgency=low

  * Add a light manpage (Closes: #270440)

 -- Julien Danjou <acid@debian.org>  Thu,  9 Sep 2004 15:02:26 +0200

tetrinetx (1.13.16-9) unstable; urgency=low

  * New Maintainer
  * Clean debian/rules
  * Bump standards version to 3.6.1.0
  * Remove spurious message (Closes: #255034)
  * Remove setuid flag since it is not needed

 -- Julien Danjou <acid@debian.org>  Tue, 17 Aug 2004 15:26:31 +0200

tetrinetx (1.13.16-8) unstable; urgency=low

  * Changed init script which used the HUP signal to reload tetrinetx,
    but that signal was not catched in tetrinetx, do we dont use HUP anymore
    (closes: #175448), Thanks to Ben Armstrong.

  * Changed Standards-Version to 3.5.8

 -- Helios de Creisquer <creis@debian.org>  Fri, 24 Jan 2003 15:34:42 +0100

tetrinetx (1.13.16-7) unstable; urgency=low

  * Corrected the way hostname determination was handled, corrected
    a very stupid segfault (closes: #168630)

 -- Helios de Creisquer <creis@debian.org>  Mon, 11 Nov 2002 15:09:56 +0100

tetrinetx (1.13.16-6) unstable; urgency=low

  * Corrected behavior of ipv6 patch: if v6 stack is not present, falling
    back to V4 instead of exiting (closes: #168061)
  * Corrected the way hostname determination was handled, now run even if no
    '.' was found in hostname, by appending '.localnet' to it.

 -- Helios de Creisquer <creis@debian.org>  Fri, 08 Nov 2002 11:55:55 +0100

tetrinetx (1.13.16-5) unstable; urgency=low

  * Corrected prerm script to _not_ call invoke-rc.d when upgrading from
    version < -5 (closes: #165945)
  * Changed description, explaining a little bit what tetrinet is
    (closes: #166109)

 -- Helios de Creisquer <creis@debian.org>  Thu, 24 Oct 2002 09:39:20 +0200

tetrinetx (1.13.16-4) unstable; urgency=low

  * Corrected init script stop which exited 1 when no tetrinetx was present,
    and make the initscript do nothing until /etc/default/tetrinetx is edited
    (closes: #165945)

 -- Helios de Creisquer <creis@debian.org>  Wed, 23 Oct 2002 02:12:46 +0200

tetrinetx (1.13.16-3) unstable; urgency=low

  * Added -fsigned-char for architectures where default is
    unsigned (closes: #164609)
  * Convert package to "daemon", tits change location of pids, logs and others
    to standard daemon (vs game) locations, added an init script.
  * Added IPv6 support patch from version6.net (closes: #165623)

 -- Helios de Creisquer <creis@debian.org>  Fri, 18 Oct 2002 20:49:41 +0200

tetrinetx (1.13.16-2) unstable; urgency=low

  * Changed way of compiling, limitating dependencies (closes: #164417)

 -- Helios de Creisquer (aka creis) <helios@balios.org>  Sat, 12 Oct 2002 15:34:45 +0200

tetrinetx (1.13.16-1) unstable; urgency=low

  * Initial Release.

 -- Helios de Creisquer (aka creis) <helios@balios.org>  Mon,  2 Sep 2002 15:17:32 +0200
