=== debian/control ===
Source: tetrinetx
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Alexandre Detiste <tchet@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libadns1-dev,
Rules-Requires-Root: binary-targets
Standards-Version: 4.7.2
Homepage: http://tetrinetx.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/games-team/tetrinetx
Vcs-Git: https://salsa.debian.org/games-team/tetrinetx.git
X-Style: black

Package: tetrinetx
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 gtetrinet,
Description: game server for Tetrinet
 Provides a server for hosting Tetrinet games. Tetrinet is a variant of
 Tetris played over the internet. Up to six people may simultaneously connect
 to a server to participate in a game.
 .
 For more information about the Tetrinet game, visit http://www.tetrinet.us/
