=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/dpkg/buildtools.mk

CFLAGS=-O2 -DUSE_IPV6 -fno-strength-reduce -Wall -fsigned-char -I/usr/include -L/usr/lib
DESTDIR=$(CURDIR)/debian/tetrinetx/
OWNDIRS= $(DESTDIR)var/games/tetrinetx \
	 $(DESTDIR)var/log/tetrinetx \
	 $(DESTDIR)etc/tetrinetx

%:
	dh $@

override_dh_auto_configure:
	cp debian/config.h src/

override_dh_auto_build: bin/tetrinetx

bin/tetrinetx: $(wildcard src/*.[ch])
	$(CC) $(CFLAGS) src/main.c -o $@ -ladns

execute_before_dh_clean:
	rm -f src/.deps/main.P bin/tetrinetx

execute_after_dh_auto_install:
	install -o games -g games -m 0755 bin/tetrinetx $(DESTDIR)/usr/games/tetrinetx
	install -o games -g games -m 0644 bin/game.motd bin/game.pmotd bin/game.conf $(DESTDIR)etc/tetrinetx
	install -o games -g games -m 0600 bin/game.secure $(DESTDIR)etc/tetrinetx

execute_after_dh_fixperms:
	chown -R games:games $(OWNDIRS)
